diff --git a/tests/test_app.py b/tests/test_app.py
index 52ce234..46cd23a 100644
--- a/tests/test_app.py
+++ b/tests/test_app.py
@@ -2,6 +2,7 @@
 
 # Builtin imports
 import logging
+import unittest
 
 
 try:  # python 3
@@ -177,6 +178,7 @@ def test_favicon(testapp):
     testapp.get("/favicon.ico", status=404)
 
 
+@unittest.skip("Requires internet access")
 def test_fallback(root, _app, testapp):
     assert _app.config.redirect_to_fallback
     resp = testapp.get("/simple/pypiserver/", status=302)
diff --git a/tests/test_manage.py b/tests/test_manage.py
index 9735ac6..bde267d 100755
--- a/tests/test_manage.py
+++ b/tests/test_manage.py
@@ -118,6 +118,7 @@ def test_pip_cmd_root(pip_ver, cmd_type):
     assert tuple(PipCmd.update_root(pip_ver)) == exp_cmd
 
 
+@pytest.mark.skip(reason="Requires internet access")
 def test_pip_cmd_update():
     """Verify the correct determination of a pip command."""
     index = 'https://pypi.org/simple'
@@ -138,6 +139,7 @@ def test_pip_cmd_update():
     )
 
 
+@pytest.mark.skip(reason="Requires internet access")
 def test_pip_cmd_update_index_overridden():
     """Verify the correct determination of a pip command."""
     index = 'https://pypi.org/complex'
@@ -156,6 +158,7 @@ def test_pip_cmd_update_index_overridden():
     )
 
 
+@pytest.mark.skip(reason="Requires internet access")
 def test_update_package(monkeypatch):
     """Test generating an update command for a package."""
     monkeypatch.setattr(manage, 'call', Mock())
diff --git a/tests/test_server.py b/tests/test_server.py
index 6cb4bc4..6325b6f 100644
--- a/tests/test_server.py
+++ b/tests/test_server.py
@@ -275,7 +275,6 @@ def twine_register(packages, repository='test', conf='pypirc',
 # Tests
 # ######################################################################
 
-
 def test_pipInstall_packageNotFound(empty_packdir, port, pipdir, package):
     with new_server(empty_packdir, port):
         cmd = "centodeps"
@@ -283,18 +282,21 @@ def test_pipInstall_packageNotFound(empty_packdir, port, pipdir, package):
         assert not pipdir.listdir()
 
 
+@pytest.mark.skip(reason="Needs internet")
 def test_pipInstall_openOk(open_server, package, pipdir):
     cmd = "centodeps"
     assert _run_pip_install(cmd, open_server.port, pipdir) == 0
     assert pipdir.join(package.basename).check()
 
 
+@pytest.mark.skip(reason="Needs internet")
 def test_pipInstall_authedFails(protected_server, pipdir):
     cmd = "centodeps"
     assert _run_pip_install(cmd, protected_server.port, pipdir) != 0
     assert not pipdir.listdir()
 
 
+@pytest.mark.skip(reason="Needs internet")
 def test_pipInstall_authedOk(protected_server, package, pipdir):
     cmd = "centodeps"
     assert _run_pip_install(cmd, protected_server.port, pipdir,
@@ -395,6 +397,7 @@ def test_twine_upload_open(empty_packdir, port, package):
     assert len(empty_packdir.listdir()) == 1
 
 
+@pytest.mark.skip(reason="needs internet")
 @pytest.mark.parametrize("hash_algo", ("md5", "sha256", "sha512"))
 def test_hash_algos(empty_packdir, port, package, pipdir, hash_algo):
     """Test twine upload with no authentication"""
